Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006790OCamlotherlibspublic2015-02-22 20:222015-02-25 21:44
Reporterwhitequark 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006790: otherlibs should be built with -g
DescriptionThere's no downside to building with -g, and using -g allows better backtraces in ocamlrun and gdb and stepping in ocamldebug.
TagsNo tags attached.
Attached Files

- Relationships
related to 0006725closed Reduce dependencies of Dynlink 

-  Notes
(0013345)
doligez (administrator)
2015-02-25 21:43

It's been the case since 4.02.0 for `bigarray`, `graph`, `num`, `str`, `systhreads`, `unix`, `win32graph`, `win32unix`.

On the other hand, the flag is still missing in `dynlink` and `threads`.

I've added it (commit 15865 in branch 4.02).

- Issue History
Date Modified Username Field Change
2015-02-22 20:22 whitequark New Issue
2015-02-22 23:26 whitequark Relationship added parent of 0006725
2015-02-22 23:26 whitequark Relationship deleted parent of 0006725
2015-02-22 23:27 whitequark Relationship added related to 0006725
2015-02-24 22:20 doligez Status new => acknowledged
2015-02-24 22:20 doligez Target Version => 4.02.2+dev / +rc1
2015-02-25 21:43 doligez Note Added: 0013345
2015-02-25 21:44 doligez Status acknowledged => closed
2015-02-25 21:44 doligez Resolution open => fixed
2015-02-25 21:44 doligez Fixed in Version => 4.02.2+dev / +rc1
2017-02-23 16:42 doligez Category OCaml otherlibs => otherlibs


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker